about summary refs log tree commit diff
path: root/pkgs/tools/admin/cjdns-tools
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/tools/admin/cjdns-tools')
-rw-r--r--pkgs/tools/admin/cjdns-tools/default.nix47
-rw-r--r--pkgs/tools/admin/cjdns-tools/wrapper.sh29
2 files changed, 0 insertions, 76 deletions
diff --git a/pkgs/tools/admin/cjdns-tools/default.nix b/pkgs/tools/admin/cjdns-tools/default.nix
deleted file mode 100644
index 0d2140940017..000000000000
--- a/pkgs/tools/admin/cjdns-tools/default.nix
+++ /dev/null
@@ -1,47 +0,0 @@
-{ stdenv
-, cjdns
-, nodejs
-, makeWrapper
-, lib
-}:
-
-stdenv.mkDerivation {
-  pname = "cjdns-tools";
-  version = cjdns.version;
-
-  src = cjdns.src;
-
-  buildInputs = [
-    nodejs
-  ];
-
-  nativeBuildInputs = [
-    makeWrapper
-  ];
-
-  buildPhase = ''
-    patchShebangs tools
-
-    sed -e "s|'password': 'NONE'|'password': Fs.readFileSync('/etc/cjdns.keys').toString().split('\\\\n').map(v => v.split('=')).filter(v => v[0] === 'CJDNS_ADMIN_PASSWORD').map(v => v[1])[0]|g" \
-      -i tools/lib/cjdnsadmin/cjdnsadmin.js
-  '';
-
-  installPhase = ''
-    mkdir -p $out/bin
-    cat ${./wrapper.sh} | sed "s|@@out@@|$out|g" > $out/bin/cjdns-tools
-    chmod +x $out/bin/cjdns-tools
-
-    cp -r tools $out/tools
-    find $out/tools -maxdepth 1 -type f -exec chmod -v a+x {} \;
-    cp -r node_modules $out/node_modules
-  '';
-
-  meta = with lib; {
-    homepage = "https://github.com/cjdelisle/cjdns";
-    description = "Tools for cjdns managment";
-    license = licenses.gpl3Plus;
-    maintainers = with maintainers; [ ];
-    platforms = platforms.linux;
-    mainProgram = "cjdns-tools";
-  };
-}
diff --git a/pkgs/tools/admin/cjdns-tools/wrapper.sh b/pkgs/tools/admin/cjdns-tools/wrapper.sh
deleted file mode 100644
index 2e8d85b1dd91..000000000000
--- a/pkgs/tools/admin/cjdns-tools/wrapper.sh
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/usr/bin/env bash
-
-export PATH="@@out@@/tools:$PATH"
-
-set -eo pipefail
-
-if ! cat /etc/cjdns.keys >/dev/null 2>&1; then
-  echo "ERROR: No permission to read /etc/cjdns.keys (use sudo)" >&2
-  exit 1
-fi
-
-if [[ -z $1 ]]; then
-  echo "Cjdns admin"
-
-  echo "Usage: $0 <command> <args..>"
-
-  echo
-  echo "Commands:" $(find @@out@@/tools -maxdepth 1 -type f | sed -r "s|.+/||g")
-
-  _sh=$(which sh)
-  PATH="@@out@@/tools" PS1="cjdns\$ " "$_sh"
-else
-  if [[ ! -e @@out@@/tools/$1 ]]; then
-    echo "ERROR: '$1' is not a valid tool" >&2
-    exit 2
-  else
-    "$@"
-  fi
-fi